## org.codehaus.groovy.runtime.metaclass
Class MemoryAwareConcurrentReadMap.BarrierLock

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MemoryAwareConcurrentReadMap.BarrierLock

All Implemented Interfaces:
  Serializable

Enclosing class:
  MemoryAwareConcurrentReadMap

    protected static class MemoryAwareConcurrentReadMap.BarrierLock

extends Object
implements Serializable

A Serializable class for barrier lock

See Also:
  Serialized Form

Constructor Summary
`protected` `MemoryAwareConcurrentReadMap.BarrierLock()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryAwareConcurrentReadMap.BarrierLock

    protected MemoryAwareConcurrentReadMap.BarrierLock()

Copyright © 2003-2008 The Codehaus. All rights reserved.